/*
 Theme Name:   Victor Flagg
 Theme URI:    https://theseventhseal.com/
 Description:  Customized theme for Black Belt Contracting.
 Author:       FirstPage Marketing
 Author URI:   https://www.firstpagemarketing.com
 Template:     hello-elementor
 Version:      1.0.2
*/

/* Anchor offset */
:target,
[id] {
    scroll-margin-top: 220px;
}

@media (max-width: 1025px) {

    :target,
    [id] {
        scroll-margin-top: 150px;
    }
}

@media (max-width: 767px) {

    :target,
    [id] {
        scroll-margin-top: 100px;
    }
}

/* Main Navigation Drop-Down Customization */
.main-nav .elementor-nav-menu a {
    justify-content: center;
    align-items: center;
    text-align: center;
    flex-wrap: wrap;
    flex-direction: column;
    align-self: flex-start;
}

.main-nav .elementor-nav-menu a span {
    font-weight: bold;
    text-transform: uppercase;
    width: 100%;
}

.main-nav .elementor-nav-menu a .sub-arrow {
    width: 100%;
    text-align: center;
    justify-content: center;
    position: absolute;
    bottom: 35px;
}

.main-nav .elementor-nav-menu a .sub-arrow svg {
    fill: var(--e-global-color-accent);
}

.main-nav .elementor-nav-menu a .elementor-sub-item {
    justify-content: center;
}

.main-nav .elementor-nav-menu .sub-menu {
    width: calc(100% - 10px) !important;
}

/* Class for Button to add Line */
.button-line-white a,
.button-line-accent a {
    position: relative;
    margin-right: 40px !important;
}

.button-line-white a:after {
    content: '';
    position: absolute;
    width: 60px;
    height: 1px;
    background-color: white;
    top: 50%;
    right: -40px;
    transition: all ease 0.2s;
}

.button-line-accent a:after {
    content: '';
    position: absolute;
    width: 60px;
    height: 1px;
    background-color: var(--e-global-color-accent);
    top: 50%;
    right: -40px;
    transition: all ease 0.2s;
}

.button-line-white a:hover:after,
.button-line-accent a:hover:after {
    right: -30px;
}

/* jetMenu Back Button Fix */
.jet-mobile-menu__controls div[aria-label="Back to Prev Items"] i:before {
    content: "\f0a8";
}

.jet-select[data-query-var="product_cat"] {
    display: none !important;
}

/* Add arrow to jetSmartFilter selector */
.elementor-widget-jet-smart-filters-select select {
    text-align: center;
}

.elementor-widget-jet-smart-filters-select .jet-smart-filters-select {
    position: relative;
}

.elementor-widget-jet-smart-filters-select .jet-smart-filters-select:after {
    content: '\f0d7';
    font-family: 'Font Awesome 5 Free Solid';
    position: absolute;
    top: 10px;
    right: 25px;
    color: white;
    font-size: 20px;
}

/* Bottom Margin for UL and OL */
.elementor-widget-text-editor ul,
.elementor-widget-text-editor ol {
    margin-bottom: 0.9em;
    text-align: left;
}

/* Inline Image Styling */
img.alignleft {
    max-width: 50% !important;
    margin: 0 30px 30px 0;
}

img.alignright {
    max-width: 50% !important;
    margin: 0 0 30px 30px;
}

img.aligncenter {
    margin: 0 auto 30px;
}

img.alignnone {
    margin: 0 0 30px 0;
}

@media (max-width: 768px) {

    img.alignleft,
    img.alignright,
    img.aligncenter,
    img.alignnone {
        display: block;
        margin: 0 auto 30px;
        max-width: 100% !important;
        float: none;
    }
}

/* Elementor Animation Improvements */
@keyframes fadeInDownFPM {
    from {
        opacity: 0;
        transform: translate3d(0, -60px, 0);
    }

    to {
        opacity: 1;
        transform: none
    }
}

.fadeInDown {
    animation-name: fadeInDownFPM !important;
}

@keyframes fadeInLeftFPM {
    from {
        opacity: 0;
        transform: translate3d(-60px, 0, 0)
    }

    to {
        opacity: 1;
        transform: none
    }
}

.fadeInLeft {
    animation-name: fadeInLeftFPM !important;
}

@keyframes fadeInRightFPM {
    from {
        opacity: 0;
        transform: translate3d(60px, 0, 0)
    }

    to {
        opacity: 1;
        transform: none
    }
}

.fadeInRight {
    animation-name: fadeInRightFPM !important;
}

@keyframes fadeInUpFPM {
    from {
        opacity: 0;
        transform: translate3d(0, 60px, 0)
    }

    to {
        opacity: 1;
        transform: none
    }
}

.fadeInUp {
    animation-name: fadeInUpFPM !important;
}